# Uses of Interface
org.eclipse.emf.cdo.security.User

Packages that use User
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.

## Uses of User in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return User
Modifier and Type
Method
Description
`User`
SecurityItemContainer.`addUser(String id)`
`User`
SecurityItemContainer.`addUser(String id, String password)`
`User`
SecurityItemContainer.`addUser(org.eclipse.net4j.util.security.IPasswordCredentials credentials)`
`User`
SecurityFactory.`createUser()`
Returns a new object of class 'User'.
`User`
SecurityFactory.`createUser(String id)`
`User`
SecurityFactory.`createUser(String id, String password)`
`static User`
RealmUtil.`findUser(EList<SecurityItem> items, String userID)`
`User`
SecurityItemProvider.`getUser(String id)`
`static User`
RealmUtil.`removeUser(EList<SecurityItem> items, String userID)`
`User`
SecurityItemContainer.`removeUser(String id)`
`User`
SecurityItemContainer.`setPassword(String id, String password)`
Methods in org.eclipse.emf.cdo.security that return types with arguments of type User
Modifier and Type
Method
Description
`static BasicEList<User>`
RealmUtil.`allUsers(EList<SecurityItem> items)`
`EList<User>`
Realm.`getAllUsers()`
Returns the value of the 'All Users' reference list.
`EList<User>`
Group.`getUsers()`
Returns the value of the 'Users' reference list.

## Uses of User in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement User
Modifier and Type
Class
Description
`class`
`UserImpl`
An implementation of the model object 'User'.
Methods in org.eclipse.emf.cdo.security.impl that return User
Modifier and Type
Method
Description
`User`
DirectoryImpl.`addUser(String id)`
`User`
DirectoryImpl.`addUser(String id, String password)`
`User`
DirectoryImpl.`addUser(org.eclipse.net4j.util.security.IPasswordCredentials credentials)`
`User`
RealmImpl.`addUser(String id)`
`User`
RealmImpl.`addUser(String id, String password)`
`protected User`
RealmImpl.`addUser(User user)`
`User`
RealmImpl.`addUser(org.eclipse.net4j.util.security.IPasswordCredentials credentials)`
`User`
SecurityFactoryImpl.`createUser()`
`User`
SecurityFactoryImpl.`createUser(String id)`
`User`
SecurityFactoryImpl.`createUser(String id, String password)`
`User`
DirectoryImpl.`getUser(String id)`
`User`
RealmImpl.`getUser(String id)`
`User`
DirectoryImpl.`removeUser(String id)`
`User`
RealmImpl.`removeUser(String id)`
`User`
DirectoryImpl.`setPassword(String id, String password)`
`User`
RealmImpl.`setPassword(String id, String password)`
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type User
Modifier and Type
Method
Description
`EList<User>`
RealmImpl.`getAllUsers()`
`EList<User>`
GroupImpl.`getUsers()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type User
Modifier and Type
Method
Description
`protected User`
RealmImpl.`addUser(User user)`

## Uses of User in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type User
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseUser(User object)`
Returns the result of interpreting the object as an instance of 'User'.
`boolean`
SecurityValidator.`validateUser(User user, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of User in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type User
Modifier and Type
Method
Description
`void`
AnnotationHandler.`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
`void`
HomeFolderHandler.`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
`void`
InternalSecurityManager.CommitHandler.`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
Called before the commit is security checked and passed to the repository.
`void`
InternalSecurityManager.CommitHandler2.WithUser.`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
`protected abstract void`
InternalSecurityManager.CommitHandler2.WithUser.`handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
`protected void`
HomeFolderHandler.`handleUser(CDOTransaction transaction, Realm realm, Role role, User user)`